Bug 1298613 - gucharmap help doesn't list --version option
gucharmap help doesn't list --version option
Status: NEW
Product: Fedora
Classification: Fedora
Component: gucharmap (Show other bugs)
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
Depends On:
Blocks: 1301114
  Show dependency treegraph
Reported: 2016-01-14 09:53 EST by Jiri Prajzner
Modified: 2017-11-22 05:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1301114 (view as bug list)
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jiri Prajzner 2016-01-14 09:53:20 EST
Description of problem:
gucharmap help doesn't list --version option although it accepts it

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. execute gucharmap --help-all
2. look for --version option
3. execute gucharmap --version

Actual results:
no --version option is printed out in the full help

Expected results:
the --version option is listed in help output since the application actually accepts it

Additional info:
Comment 1 Jiri Prajzner 2016-11-23 11:26:17 EST
still valid in gucharmap --version
GNOME Character Map 9.0.1
Comment 2 Fedora End Of Life 2017-11-16 14:04:56 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 3 Jiri Prajzner 2017-11-20 09:08:26 EST
still valid in f27
Comment 4 Christian Persch (GNOME) 2017-11-21 16:16:36 EST
Speaking as upstream, this is WONTFIX upstream.
Comment 5 Jiri Prajzner 2017-11-22 05:06:24 EST
why not?
/usr/bin/gnome-character-map -> gucharmap
gnome-character-map --version
GNOME Character Map 10.0.3

the reason why this bz exists to bring some consistency among the command line options. in this case, it looks like that an existing option got lost in translation, which i think is a pity.

Note You need to log in before you can comment on or make changes to this bug.